"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UniformMessage = void 0;
/**
 * 统一服务消息
 * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/uniform-message/uniformMessage.send.html
 */
class UniformMessage {
    constructor(mini) {
        this.mini = mini;
    }
    /**
     * 下发小程序和公众号统一的服务消息
     * https://developers.weixin.qq.com/miniprogram/dev/api-backend/open-api/uniform-message/uniformMessage.send.html
     */
    send(body) {
        return __awaiter(this, void 0, void 0, function* () {
            const url = "cgi-bin/express/business/order/add";
            const resp = yield this.mini.http.post(url, body);
            if (resp.data.errcode) {
                throw new Error(`下发小程序和公众号统一的服务消息失败: ${JSON.stringify(resp.data)}`);
            }
            return resp.data;
        });
    }
}
exports.UniformMessage = UniformMessage;
