"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OfficialAccount = void 0;
const server_1 = require("./server");
const template_message_1 = require("./template-message");
const customer_service_1 = require("./customer-service");
const user_1 = require("./user");
const oauth_1 = require("./oauth");
const jssdk_1 = require("./jssdk");
const base_1 = require("../base");
class OfficialAccount extends base_1.Base {
    constructor(config) {
        super(config);
        this.server = new server_1.MPServer(this);
        this.templateMessage = new template_message_1.TemplateMessage(this);
        this.customerService = new customer_service_1.CustomerService(this);
        this.user = new user_1.User(this);
        this.oauth = new oauth_1.MPOAuth(this);
        this.jssdk = new jssdk_1.Jssdk(this);
    }
}
exports.OfficialAccount = OfficialAccount;
