import { OfficialAccount } from "../";
import { IJsapiConfig, JsApiList } from "./interface";
/**
 * JSSDK 管理
 * https://developers.weixin.qq.com/doc/offiaccount/OA_Web_Apps/JS-SDK.html
 */
export declare class Jssdk {
    private oa;
    constructor(oa: OfficialAccount);
    /**
     * JSSDK Config
     * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1421141115
     * @param url
     */
    getJsapiConfig(url: string, jsApiList: JsApiList, debug?: boolean): Promise<IJsapiConfig>;
    getJsapiTicket(): Promise<string>;
    /**
     * 获取 jsapi_ticket
     * https://mp.weixin.qq.com/wiki?t=resource/res_main&id=mp1421141115
     */
    getJsapiTicketFromServer(): Promise<{
        ticket: string;
        expires_in: number;
    }>;
}
